<template>
    <div class="pricing_page">
        <div class="pricing_page__content">
            <div class="pricing_page__title">
                Wix Pricing
            </div>
            <div class="pricing_page__desc">
                Сhoose a plan
            </div>
            <div class="pricing_page__items items">
                <div
                    v-for="(item, index) in items"
                    :key="index"
                    class="items__item item"
                    :class="{'item_main': item.type}"
                >
                    <div class="item__type">
                        {{ item.name }}
                    </div>
                    <div class="item__price">
                        {{ item.price }} $
                    </div>
                    <div class="item_list">
                        <div
                            v-for="(el, i) in item.benefits"
                            :key="i+'benefits'"
                            class="item_list__item"
                        >
                            <span class="dot" /><span>{{ el.text }} <span class="gray">{{ el.secondary }}</span></span>
                        </div>
                    </div>
                    <b-button
                        variant="primary"
                        class="item__btn"
                        :class="{'loading-xs': item.loading}"
                        @click="select(item)"
                    >
                        {{ !item.loading ? 'Select Plan' : '' }}
                    </b-button>
                </div>
            </div>
        </div>
    </div>
</template>

<script>
export default {
    data() {
        return {
            items: [
                {
                    name: 'Free',
                    price: '0',
                    loading: false,
                    benefits: [
                        {
                            text: 'up to 200 emails'
                        },
                        {
                            secondary: '(one time credit)',
                            text: '$2 free credit for SMS',
                        }
                    ]
                },
                {
                    name: 'Advanced',
                    price: '9.99',
                    loading: false,
                    benefits: [
                        {
                            text: 'up to 200 emails'
                        },
                        {
                            secondary: '(one time credit)',
                            text: '$5 free credit for SMS',
                        }
                    ],
                    type: 'main',
                },
                {
                    name: 'Pro',
                    price: '39.99',
                    loading: false,
                    benefits: [
                        {
                            text: 'up to 100 emails'
                        },
                        {
                            secondary: '(one time credit)',
                            text: '$10 free credit for SMS',
                        }
                    ]
                }
            ]
        }
    },
    methods: {
        select(selectedPlan) {
            selectedPlan.loading = true
            this.$emit('selectPlan', {
                selectedPlan: selectedPlan,
                title: selectedPlan.name.toLowerCase(),
            })
        }
    }
}
</script>


<style scoped lang="scss">
.pricing_page {
    font-family: 'Roboto';
    position: relative;
    color: #1B2437;
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100%;
    padding-bottom: 30px;
    padding-top: 30px;
    @media(max-width: 1000px) {
        height: auto;
        padding-top: 50px;
    }
    &__content {
        width: 100%;
        height: 100%;
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
    }
    &__title {
        font-size: 36px;
        line-height: 42px;
    }
    &__desc {
        font-size: 18px;
        line-height: 21px;
        color: #7E90B1;
        margin-top: 12px;
    }
    &__items {
        margin-top: 62px;
    }
    .items {
        display: flex;
        justify-content: center;
        flex-wrap: wrap;
        width: 100%;
        &__item {
            width: 278px;
            min-width: 278px;
            height: 315px;
            margin-bottom: 20px;
            padding: 37px 50px 26px;
            background-color: #fff;
            border: 1px solid #DAE7FF;
            margin: 0 30px 30px;
            box-shadow: 0px 2px 11px rgba(171, 167, 167);
            @media(max-width: 525px) {
                margin: 0 15px 30px;
            }
        }
    }
    .item {
    &__type {
        font-weight: 500;
        font-size: 14px;
        line-height: 16px;
        color: #414348;
    }
    &__price {
        font-size: 36px;
        line-height: 42px;
        margin-top: 16px;
        font-weight: bold;
    }
    &_list {
        margin-top: 28px;
        &__item {
            font-size: 14px;
            line-height: 16px;
            margin-bottom: 26px;
            display: flex;
            align-items: flex-start;
            .dot {
                display: inline-block;
                background: #4786FF;
                min-width: 6px;
                min-height: 6px;
                border-radius: 50%;
                margin-top: 7px;
                margin-right: 10px;
            }
        }
    }
    &__btn {
        margin-top: 9px;
        width: 100%;
        height: 38px;
    }
}

.item_main {
    color: #fff;
    background: #4786FF;
    border: none;
    .item {
        &__type {
            color: #fff
        }
        &__btn {
            background: #fff;
            color: #4786FF;
        }
    }
    .dot {
        background: #fff;
    }
    
}
}

</style>